Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1341658 - Default mode (06755) and location of ikiwiki.cgi does not work well
Default mode (06755) and location of ikiwiki.cgi does not work well
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ikiwiki (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-01 08:39 EDT by Marian Csontos
Modified: 2016-12-20 15:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 15:45:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2016-06-01 08:39:37 EDT
Description of problem:
Fedora's version of Apache suexec prevents running anything with suid/sgid as a CGI script. To be able to edit wiki pages using Web UI one has to:

- change mode from 06755 to 0755,
- move the CGI wrapper to *~/public_html/cgi-bin/* directory.

I have no idea if this is Apache's feature or ikiwiki setup problem.
Changing the defaults or documenting the setup would help.
Or am I doing it wrong?

Version-Release number of selected component (if applicable):
ikiwiki-3.20160121-1.fc23.noarch
httpd-2.4.18-1.fc23.x86_64

How reproducible:
100% (both using f23 and el6)

Steps to Reproduce:
1. create a wiki site with `ikiwiki --setup /etc/ikiwiki/auto.setup`

Actual results:
It is not possible to edit wiki pages using web UI without some expertise, reading error logs, searching the web and modifying setup.

Expected results:
Editing wiki pages should not require much tweaking of apache's conf nor ikiwiki's.

Additional info:
Comment 1 Fedora End Of Life 2016-11-25 04:11:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 15:45:07 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.